import { ConnectedAircraft, ConnectedDispatcher, Prisma } from "@repo/db";
import axios from "axios";

export const getConnectedUserAPI = async (
	filter?: Prisma.KeywordWhereInput,
) => {
	const res = await axios.get<(ConnectedAircraft | ConnectedDispatcher)[]>(
		"/api/connected-user",
		{
			params: {
				filter: JSON.stringify(filter),
			},
		},
	);
	if (res.status !== 200) {
		throw new Error("Failed to fetch Connected User");
	}
	return res.data;
};
